Bug 5737 - ZOOM connection problem in merge_authority.pl when trying to do a batch merge.
Summary: ZOOM connection problem in merge_authority.pl when trying to do a batch merge.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: rel_3_2
Hardware: All All
: P4 normal (vote)
Target Milestone: ---
Assignee: Frédérick Capovilla
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-10 16:02 UTC by Frédérick Capovilla
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Modified the merge subroutine in AuthoritiesMarc.pm so it won't destroy the connection to the biblioserver. (1.21 KB, patch)
2011-02-10 16:02 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
Bug 5737: Modified the merge subroutine in AuthoritiesMarc.pm so it won't destroy the connection to the biblioserver. (1.27 KB, patch)
2011-07-28 22:02 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédérick Capovilla 2011-02-10 16:02:34 UTC Comment hidden (obsolete)
Comment 1 Chris Cormack 2011-07-28 22:02:43 UTC
Created attachment 4771 [details] [review]
Bug 5737: Modified the merge subroutine in AuthoritiesMarc.pm so it won't destroy the connection to the biblioserver.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 2 Ian Walls 2011-08-02 17:39:16 UTC
Patch just introduces a new variable to store a value which is redefined in the next line.  Patch then applies the old value before exiting the subroutine.  Clean, easy to read, marking as Passed QA.
Comment 3 Chris Cormack 2011-08-03 02:06:18 UTC
Pushed, please test